from typing import List

from pydantic import BaseModel


class DataAuthCreate(BaseModel):
    name: str
    data: List[str] = []




class DataAuthSet(BaseModel):
    username: str
    data_auth_id: str
